void setup(){
  Serial.begin(38400); //Initialise le port série avec un débit de 9600 bps
  Serial.println("CLEARDATA"); //efface toutes les données
  Serial.println("LABEL;Temps (ms);Tension U (V)"); //affiche l'en-tête de la série de mesure sur le tableur
  
}
  double Tension; //création d'une variable Tension correspondant à la tension aux bornes de A0
  
void loop(){
// on créé une boucle qui va tourner pendant 1000 ms.
  while (millis()<1000){
  Serial.print("DATA,TIME,"); //on écrit DATA, TIME pour que le tableur reconnaisse le format de données
  Tension=5.0*analogRead(A0)/1023.0; //calcul de la tension car A0 est compris entre 0 et 1023 et est alimentée en 5V
  Serial.print(millis()); //on écrit le temps
  Serial.print(","); // on sépare nos deux grandeurs par une ","
  Serial.println(Tension); // on écrit la tension
  }
}
